Debian Bug report logs - #287832
distcc: autodiscover HOSTS (in network mask)

version graph

Package: distcc; Maintainer for distcc is Daniel Hartwig <mandyke@gmail.com>; Source for distcc is src:distcc.

Reported by: Jari <jari.aalto@cante.net>

Date: Thu, 30 Dec 2004 12:33:03 UTC

Severity: wishlist

Found in version 2.18.1-4

Fixed in version 3.1-1

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#287832; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Jari <jari.aalto@cante.net>:
New Bug report received and forwarded. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jari <jari.aalto@cante.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: distcc: autodiscover HOSTS (in network mask)
Date: Thu, 30 Dec 2004 14:26:46 +0200
Package: distcc
Version: 2.18.1-4
Severity: wishlist


Distcc could configure available hosts automatically, because it
knows what port can be used for remote compilation. It would be
nice to be able to use all available network hosts for compiling
and that those hosts were slaved automatically.

Right now there must be DISTCC_HOSTS variable set in every host
in order to call the slaves.

Suppose the daemon were started with --query 192.168.1.0/16 and those
hosts reponding to this query located along the netmask would be
automatically slaved. The detection code could simply see if
connection at that netmask range to hosts is possible.

Option --query could accepts items separated by colons, which could be

- host names
- netmask

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages distcc depends on:
ii  adduser                     3.59         Add and remove users and groups
ii  debconf                     1.4.41       Debian configuration management sy
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libpopt0                    1.7-5        lib for parsing cmdline parameters
ii  netbase                     4.19         Basic TCP/IP networking system

-- debconf information:
* distcc/daemon-allow: 127.0.0.1 192.168.1.0/16
* distcc/daemon: true



Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#287832; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Baruch Even <baruch@debian.org>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #10 received at 287832@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@debian.org>
To: 287832@bugs.debian.org
Subject: avahi support
Date: Thu, 26 Jan 2006 22:47:08 +0000
It would be nice to have avahi support (multicast zeroconf), this will
enable automatic distcc host detection.

A patch for this can be found at
http://www.mail-archive.com/avahi@lists.freedesktop.org/msg00121.html

Baruch



Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Wolff <carsten@wolffcarsten.de>:
Bug#287832; Package distcc. Full text and rfc822 format available.

Acknowledgement sent to Chris AtLee <chris@atlee.ca>:
Extra info received and forwarded to list. Copy sent to Carsten Wolff <carsten@wolffcarsten.de>. Full text and rfc822 format available.

Message #15 received at 287832@bugs.debian.org (full text, mbox):

From: Chris AtLee <chris@atlee.ca>
To: 287832@bugs.debian.org
Subject: Applied patch
Date: Fri, 27 Jan 2006 16:05:26 -0500
[Message part 1 (text/plain, inline)]
I've applied the patch to distcc, and made some small modifications to the
init script to enable zeroconf on the daemon.

The attached patch is the changes that I made after applying Lennart's
patch.  The manpages still need to be updated.

You can find all the relevant packages at http://atlee.ca/software/distcc

Cheers,
Chris
[Message part 2 (text/html, inline)]
[distcc-avahi-debian.patch (text/x-patch, attachment)]

Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Mon, 30 Apr 2012 09:03:12 GMT) Full text and rfc822 format available.

Notification sent to Jari <jari.aalto@cante.net>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 09:03:14 GMT) Full text and rfc822 format available.

Message #20 received at 287832-done@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 287832-done@bugs.debian.org
Subject: distcc: autodiscover HOSTS (in network mask)
Date: Mon, 30 Apr 2012 16:59:39 +0800
Version: 3.1-1

From NEWS:

distcc-3.0rc1 "My prices are insane."   2008-06-09

   * Support for getting hosts via avahi (Lennart Poettering)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 May 2012 07:38:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:15:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.